Skip to main content
POST
/
{version}
/
sessions
/
payout
Create Payout Session
curl --request POST \
  --url https://api.example.com/{version}/sessions/payout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payout_account_id": 123,
  "amount": 1.01,
  "currency": "<string>"
}
'
{
  "id": 123,
  "wallet_id": 123,
  "payout_account_id": 123,
  "amount": 1.01,
  "currency": "<string>",
  "status": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"

Body

application/json

CreatePayoutSessionPayload

payout_account_id
integer
required
amount
required

A positive, non-zero amount.

Required range: x >= 0.01
currency
string
required

Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)

Required string length: 3

Response

Successful Response

PayoutSessionResponse

id
integer
required
wallet_id
integer
required
payout_account_id
integer
required
amount
required

A positive, non-zero amount.

Required range: x >= 0.01
currency
string
required

Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)

Required string length: 3
status
string
required
expires_at
string<date-time>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
Last modified on June 23, 2026